## javatools 0.7

=== debian/changelog ===
javatools (0.7) unstable; urgency=low

  * Calls dh_testdir in places, therefore, must depend on debhelper! 
  * Bump Standards-Version

 -- Matthew Johnson <mjj29@debian.org>  Wed, 06 Feb 2008 16:16:12 +0000

javatools (0.6) unstable; urgency=low

  * Add tutorials as docs
  * jh_makepkg use build-indep (patch from "Bernhard R. Link"
        <brlink@debian.org>)
  * change jh_libs to jh_installibs, jh_libs is a script which prints a
    warning and then calls jh_installibs
  * Add maven2 to build systems in jh_makepkg (needs testing)
  * Allow multiple entries in Debian-Java-Home
  * Use unversioned jcf-dump
  * java-propose-classpath can take class names as parameters 

 -- Matthew Johnson <mjj29@debian.org>  Fri, 01 Feb 2008 12:25:17 +0000

javatools (0.5) unstable; urgency=low

  * Rename source package, add build-helper binary package
  * Add help2man manpages 

 -- Matthew Johnson <mjj29@debian.org>  Sun, 13 Jan 2008 17:43:00 +0000

jarwrapper (0.4) unstable; urgency=low

  * Depend on java1-runtime | java2-runtime rather than java-runtime.
    (Closes: #460235)

 -- Matthew Johnson <mjj29@debian.org>  Sat, 12 Jan 2008 12:04:26 +0000

jarwrapper (0.3) unstable; urgency=low

  * Depend on fastjar for detector (Closes: #442911)
  * Change maintainer address 

 -- Matthew Johnson <mjj29@debian.org>  Wed, 05 Dec 2007 10:23:36 +0000

jarwrapper (0.2) unstable; urgency=low

  * Remove bashisms 

 -- Matthew Johnson <debian@matthew.ath.cx>  Mon, 20 Aug 2007 23:35:47 +0100

jarwrapper (0.1) unstable; urgency=low

  * Initial release (Closes: #423081)

 -- Matthew Johnson <debian@matthew.ath.cx>  Wed, 09 May 2007 17:50:24 +0100
