=== debian/control ===
Source: javatools
Priority: optional
Maintainer: Matthew Johnson <mjj29@debian.org>
Build-Depends: debhelper (>=5)
Standards-Version: 3.7.3
Section: libs

Package: jarwrapper
Section: libs
Architecture: all
Depends: java-gcj-compat | java1-runtime | java2-runtime, 
         binfmt-support, fastjar, ${misc:Depends}
Description: Run executable Java .jar files
 Jarwrapper sets up binfmt-misc to run executable jar files
 using the installed java runtime.

Package: javahelper
Section: devel
Architecture: all
Depends: ${misc:Depends}, realpath, fastjar, gcj, debhelper
Description: Helper scripts for packaging Java programs
 Javahelper contains several scripts which help in packaging
 Java programs.
 .
 jh_depends searches jars to find which packages they depend on,
 similar to dh_shlibdeps. It will also add depends on jarwrapper
 for packages with executable jars.
 .
 jh_manifest updates the manifest in jar files according to
 a provided spec so that the resultant jar files will work with
 jarwrapper-enabled packages.
 .
 java-propose-classpath analyzes a set of jar files and the installed
 jars on the system to suggest a correct classpath for use with
 jh_manifest
 .
 jh_exec looks for symlinks to jars which should be executable 
 and makes them executable
 .
 jh_build builds java files to jars for you.
 .
 jh_libs installs library jars into the correct locations
 .
 jh_makepkg generates a template for a Debian Java package for you
