## javatools 0.11

=== debian/changelog ===
javatools (0.11) unstable; urgency=low

  * Fix missing "" to enable embedded spaces in jh_lib-parsed options

 -- Matthew Johnson <mjj29@debian.org>  Tue, 13 May 2008 01:43:40 +0100

javatools (0.10) unstable; urgency=low

  * Update to default-jdk/jre packages and default-java path 

 -- Matthew Johnson <mjj29@debian.org>  Sat, 26 Apr 2008 12:54:10 +0100

javatools (0.9) unstable; urgency=low

  * Add --clean to jh_makepkg, removes common errors in Java source packages,
    such as:
      - built class files
      - built jar files
      - jar files from other packages
      - built javadoc trees

 -- Matthew Johnson <mjj29@debian.org>  Fri, 28 Mar 2008 14:47:47 +0000

javatools (0.8) unstable; urgency=low

  * Fix bug in jh_manifest when passing multiple jars on the commandline
  * Fix bug in jh_depends creating multiple identical dependencies 
  * depend on realpath

 -- Matthew Johnson <mjj29@debian.org>  Wed, 26 Mar 2008 01:17:36 +0000
