=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: jarwrapper
 Section: libs
 Architecture: all
-Depends: java-gcj-compat | java1-runtime | java2-runtime, 
+Depends: java-gcj-compat | java1-runtime | java2-runtime, realpath,
          binfmt-support, fastjar, ${misc:Depends}
 Description: Run executable Java .jar files
  Jarwrapper sets up binfmt-misc to run executable jar files
