## javatools 0.17

=== debian/changelog ===
javatools (0.17) unstable; urgency=medium

  * Remove build-arch-stamp and build-indep-stamp in all modes 
    (Closes: #505066) 
  * More manifest entry handling fixes, including in jh_depends and
    some tests (Closes: #503890) 

 -- Matthew Johnson <mjj29@debian.org>  Sun, 09 Nov 2008 22:05:34 +0000

javatools (0.16) unstable; urgency=medium

  * Don't append a space to manifest entries (Closes: #501516) 

 -- Matthew Johnson <mjj29@debian.org>  Fri, 10 Oct 2008 21:00:09 +0000

javatools (0.15) unstable; urgency=medium

  * Add dependency on devscripts (Closes: #499538)

 -- Matthew Johnson <mjj29@debian.org>  Fri, 19 Sep 2008 22:24:49 +0000

javatools (0.14) unstable; urgency=low

  * Change openjdk dependency to be openjdk-6-jre, package name was wrong! 

 -- Matthew Johnson <mjj29@debian.org>  Mon, 21 Jul 2008 11:31:29 +0100

javatools (0.13) unstable; urgency=low

  * Rewrite jh_manifest in python to better obey jar manifest specs
    (Closes: #489214)
  * Completely recreate jar to work around fastjar bugs
    (Closes: #489432)

 -- Matthew Johnson <mjj29@debian.org>  Sun, 13 Jul 2008 00:29:51 +0100

javatools (0.12) unstable; urgency=low

  * Use openjdk instead of icedtea 
  * jh_build needs to expand directory arguments to files because Sun Java
    does not support it. Also add better error handling for missing
    parameters.

 -- Matthew Johnson <mjj29@debian.org>  Mon, 30 Jun 2008 11:24:07 +0100
