=== debian/control ===
--- 
+++ 
@@ -17,7 +17,8 @@
 Package: javahelper
 Section: devel
 Architecture: all
-Depends: ${misc:Depends}, realpath, fastjar, gcj, debhelper
+Depends: ${misc:Depends}, realpath, fastjar, gcj, debhelper, python,
+         python-debian, python-scriptutil, zip, devscripts
 Description: Helper scripts for packaging Java programs
  Javahelper contains several scripts which help in packaging
  Java programs.
