## javatools 0.22

=== debian/changelog ===
javatools (0.22) unstable; urgency=low

  * Fix typo in description 
  * Add misc:Depends to java-propose-classpath 

 -- Matthew Johnson <mjj29@debian.org>  Thu, 13 Aug 2009 00:03:11 +0100

javatools (0.21) unstable; urgency=low

  * Fix bug in jh_manifest when manifest file doesn't exist 
  * Treat DH_VERBOSE as a -v flag to all programs
  * Split java-propose-classpath off to a separate package to 
    avoid a hard dependency on gcj
  * Add jh_classpath which isn't tied specifically to manifest files 
  * Fix jh_build not to require a JAVA_HOME if it's not actually trying to build
  * Update jh_makepkg to produce dh 7 packages
  * Fix bug in jh_depends which results in a jarwrapper dependency but no jvm

 -- Matthew Johnson <mjj29@debian.org>  Sat, 08 Aug 2009 13:46:17 +0100

javatools (0.20) unstable; urgency=low

  * Add dh 7 module from أحمد المحمودي (Closes: #536895)
  * Fix handling of jars which are symlinks not shipped in a deb 
    (eg alternatives) (Closes: #537057)
  * Change java-propose-classpath to use jar xf not unzip and remove
    dependency on zip (Closes: #537059) 
  * Fix handling of multiple Debian-java-home entries 
    (patch from أحمد المحمودي) (Closes: #537074) 
  * Fix jh_manifest reading of manifest lines with embedded line breaks 
    and CRLF (patch from أحمد المحمودي) (Closes: #537241, #537262)
  * Add jh_clean for use from dh helper
  * Add option to use jh_build from debian/javabuild for use from dh helper
  * Fix jh_installlibs when the jar is not at the top level 
  * Change this package to using dh 7 

 -- Matthew Johnson <mjj29@debian.org>  Sat, 18 Jul 2009 01:16:42 +0100

javatools (0.19) unstable; urgency=low

  * Remove depends on icepick, use ugly hexdump hack instead, 
    since I don't want to depend on openjdk (Closes: #532122)
  * Also, fix depends checking of packages with a Main-Class but
    no Debian-Java-Home
  * Change to sections java/devel 
  * Fix bashism in jarwrapper (Closes: #530110)
  * Have propose-classpath check that symlinks point to real 
    files before reading them (Closes: #510590)

 -- Matthew Johnson <mjj29@debian.org>  Sun, 07 Jun 2009 09:52:24 +0100

javatools (0.18) unstable; urgency=low

  * Add cdbs class for javahelper
  * Merge experimental class version checking
  * Remove depends from jarwrapper on a JRE, everything using 
    jarwrapper will need a JRE anyway.
  * Move to section java 
  * Bump standards version 

 -- Matthew Johnson <mjj29@debian.org>  Sun, 22 Mar 2009 15:27:41 +0000

javatools (0.17.experimental2) experimental; urgency=low

  * Fix the alternate depends to be correct

 -- Matthew Johnson <mjj29@debian.org>  Mon, 10 Nov 2008 21:16:23 +0000

javatools (0.17.experimental1) experimental; urgency=low

  * Add checking for class version in determining alternate depends

 -- Matthew Johnson <mjj29@debian.org>  Sun, 09 Nov 2008 22:59:14 +0000
