=== debian/control ===
Source: javatools
Priority: optional
Maintainer: Matthew Johnson <mjj29@debian.org>
Build-Depends: debhelper (>=7)
Standards-Version: 3.8.0
Section: java

Package: jarwrapper
Architecture: all
Depends: realpath, binfmt-support, fastjar, ${misc:Depends}
Description: Run executable Java .jar files
 Jarwrapper sets up binfmt-misc to run executable jar files
 using the installed java runtime.

Package: javahelper
Architecture: all
Depends: ${misc:Depends}, realpath, fastjar, debhelper, python,
         python-debian, python-scriptutil, devscripts, bsdmainutils
Description: Helper scripts for packaging Java programs
 Javahelper contains several scripts which help in packaging
 Java programs.
 .
 jh_depends searches jars to find which packages they depend on,
 similar to dh_shlibdeps. It will also add depends on jarwrapper
 for packages with executable jars.
 .
 jh_classpath will register the classpath dependencies for each
 jar so that they can be automatically loaded when that jar is
 used by other programs.
 .
 jh_manifest updates the manifest in jar files according to
 a provided spec so that the resultant jar files will work with
 jarwrapper-enabled packages.
 .
 jh_exec looks for symlinks to jars which should be executable 
 and makes them executable
 .
 jh_build builds java files to jars for you.
 .
 jh_libs installs library jars into the correct locations
 .
 jh_makepkg generates a template for a Debian Java package for you
 .
 javahelper provides CDBS and dh macros so that it can be used with those
 package build systems.

Package: java-propose-classpath
Architecture: all
Depends: gcj, javahelper (= ${binary:Version}), fastjar, ${misc:Depends}
Description: Helper scripts for packaging Java programs
 java-propose-classpath analyzes a set of jar files and the installed
 jars on the system to suggest a correct classpath for use with
 jh_classpath/jh_manifest
 . 
 This package should not be in any build-depends since java-propose-classpath
 cannot be run automatically.
