## javatools 0.28

=== debian/changelog ===
javatools (0.28) unstable; urgency=low

  * Reorder things in javahelper.pm and .mk to make jh_classpath and manifest
    work with jh_installlibs 
  * add various version mangling options to jh_installlibs

 -- Matthew Johnson <mjj29@debian.org>  Wed, 20 Jan 2010 23:31:37 +0000

javatools (0.27) unstable; urgency=low

  * jh_installjavadoc now allows you to install to a configurable path
    (e.g. the one in the library package which you are meant to install
    to, rather than the one in the doc package)
  * jh_installibs will detect jars with -$VERSION in their name already
    and handle them correctly (it must match the upstream version in
    the changelog)
  * Build javadoc by default in jh_build and don't pass -J in the .pm
    (fails when you also pass other args via dh). Also, don't complain
    at spurious args if we've detected running with dh.
  * Add jh_linkjars command to create/remove symlink farms from 
    build-deps 
  * Update tutorials 
  * Make cdbs class call jh_clean 
  * Ensure that cdbs class is included before ant.mk so that jh_linkjars 
    works

 -- Matthew Johnson <mjj29@debian.org>  Sun, 17 Jan 2010 13:28:06 +0000

javatools (0.26) unstable; urgency=low

  * Oops fix cleaning of jars in cdbs class
  * -s should actually be -a, oops (Closes: #560869)

 -- Matthew Johnson <mjj29@debian.org>  Sun, 13 Dec 2009 01:44:29 +0000

javatools (0.25) unstable; urgency=low

  * Actually, can't use empty files in debian/
    as flags for jh_installjavadoc
  * Add jh_repack for use with uscan (Closes: #560060)
  * Update tutorials
  * Reference tutorials from man pages

 -- Matthew Johnson <mjj29@debian.org>  Sat, 12 Dec 2009 17:06:41 +0000

javatools (0.24) unstable; urgency=low

  * Add jh_installjavadoc and have jh_build create the javadoc 
  * jh_makepkg depend on default-jdk not default-jdk-builddep 
  * jh_makepkg doesn't use dh_javadoc

 -- Matthew Johnson <mjj29@debian.org>  Tue, 08 Dec 2009 23:27:16 +0000

javatools (0.23) unstable; urgency=low

  * Fix detecting dependencies between binary packages from the same
    source (Closes: #543109)
  * Add a java-vars.mk with useful variables for building Java programs
    and also a java-arch.sh to both jarwrapper and javahelper for anything
    which does not use make (runtime and build-time variants)
    (Closes: #558109)
  * Add a -X option to jh_depends to ignore certain packages for depends
    (Closes: #559303) 

 -- Matthew Johnson <mjj29@debian.org>  Sat, 05 Dec 2009 13:44:20 +0000
