=== debian/control ===
--- 
+++ 
@@ -11,11 +11,16 @@
 Description: Run executable Java .jar files
  Jarwrapper sets up binfmt-misc to run executable jar files
  using the installed java runtime.
+ .
+ It also includes a /usr/share/jarwrapper/java-arch.sh script
+ to convert Debian architecture names into java names to locate
+ libjvm.so
 
 Package: javahelper
 Architecture: all
 Depends: ${misc:Depends}, realpath, fastjar, debhelper, python,
-         python-debian, python-scriptutil, devscripts, bsdmainutils
+         python-debian, python-scriptutil, devscripts, bsdmainutils,
+         dpkg-dev, dctrl-tools
 Description: Helper scripts for packaging Java programs
  Javahelper contains several scripts which help in packaging
  Java programs.
@@ -41,6 +46,12 @@
  .
  jh_makepkg generates a template for a Debian Java package for you
  .
+ /usr/share/javahelper/java-vars.mk provides a selection of useful
+ variables such as various JVM paths and the JVM name for the architecture
+ .
+ /usr/share/javahelper/java-arch.sh converts Debian architecture 
+ names into java names to locate libjvm.so in non-make build systems
+ .
  javahelper provides CDBS and dh macros so that it can be used with those
  package build systems.
