## javatools 0.32

=== debian/changelog ===
javatools (0.32) unstable; urgency=low

  [ Niels Thykier ]
  * Fixed quoting issue in jh_compilefeatures.
  * Renamed a function in the Eclipse module.
  * fetch-eclipse-source script to create tarballs from some eclipse
    upstreams. Its requirements have been added to javahelper's
    suggests.
  * Replaced jh_libs with jh_installlibs in the description of
    javahelper.
  * Bumped Standards-Versions to 3.9.0 - no changes required.
  * jh_depends now treats "headless" for the --jvm option differently.
    if "headless" is present then all JREs will be specified using
    their headless version. If headless is the only value, it will be
    read as "headless default".
  * jh_depends no longer recognises "sun5" as a valid JVM, since this
    has been removed from the archive. "sun" is now an alias of "sun6".
  * The --jvm "gcj" value for jh_depends now uses gcj-jre and not
    java-gcj-compat, since the latter is now a virtual package.
  * Made jh_depends produce (>= ${source:Version}) instead of
    (= ${binary:Version}). The latter would break with binNMUs.
  * jh_depends now generates a dependency list for javadocs based on
    which system javadocs they have been linked against. These packages
    are added to the new ${java:Recommends} variable.
  * jh_installeclipse now always emits ${orbit:Depends} even if it
    would be empty.
  * Fixed a formatting issue in the eclipse helpers.
  * Rewrote jh_manifest using debhelper as backend.
    - it now produces deterministic output (Closes: #574029)
    - removed all depends on python.
    - comments are now allowed in d/manifest files.
    - it will now produce a warning if a jar file listed in a d/manifest-
      file cannot be found (unless the jar was excluded).
  * Reordered the javahelper sequence so that jh_installlibs is now run
    before jh_classpath and jh_manifest.

  [ Matthew Johnson ]
  * If jars aren't specified by absolute path try finding them under
    /usr/share/java (Closes: #586783)
  * jh_build will now -link any javadoc in a package that you build-depend
    on
  * fix jh_build documentation 

 -- Matthew Johnson <mjj29@debian.org>  Sun, 04 Jul 2010 10:04:17 +0000

javatools (0.31) unstable; urgency=low

  [ Matthew Johnson ]
  * Put javadoc in doc-base section Programming/Java (Closes: #579391)
  * Use debian instead of debian_bundle: the latter is deprecated

  [ Niels Thykier ]
  * Fixed missing clean of the orbitdeps cache.
  * Made jh_generateorbitdir handle absolute paths correctly.
  * Updated jh_{generateorbitdir,installeclipse} manpages.
  * Use "readlink -f" rather than "realpath". (Closes: #580840).
    Thanks to Colin Watson.
  * Added missing set -e to jarwrapper's prerm and postinst.
  * Corrected versioned depends on debhelper.
  * Corrected reference to javahelper's tutorials in the eclipse helpers.
  * Added manpage for jh_clean, jarwrapper and jardetector.
  * Removed the deprecated jh_libs command.
    - It has been deprecated since 0.6 (Feb 2008)
  * Updated the synopsis of the java-propose-classpath package to better
    describe what it provides.

 -- Niels Thykier <niels@thykier.net>  Sun, 30 May 2010 21:18:34 +0200

javatools (0.30) unstable; urgency=low

  [ Niels Thykier ]
  * Added myself to uploaders.
  * Created debhelper-like scripts for building eclipse features and
    added a dh7 sequence.
  * Added Vcs-* fields.
  * Replaced references to "dh_clean -k" with "dh_prep" in the tutorial.
    (Closes: #571097)
  * Added DM-Upload-Allowed.
  * Bumped Standards-Version to 3.8.4 - no changes required.

  [ Matthew Johnson ]
  * Make it a 3.0 (native) package

 -- Matthew Johnson <mjj29@debian.org>  Tue, 30 Mar 2010 00:11:37 +0100

javatools (0.29) unstable; urgency=low

  * keep --version and jh_makepkg depends up to date with latest javahelper
    version number
  * Use default-jdk-doc instead of classpath-doc for javadoc
  * Fix jh_build --help 
  * Fix passing of javadoc-opts to jh_build (Closes: #567880)
  * Change maintainers to pkg-java 
  * Add -t/--transitive flag to jh_linkjars (and fix obvious bug in it)
    (Closes: #565728)
  * Add sparc64 architecture translator (Closes: #570501) 

 -- Matthew Johnson <mjj29@debian.org>  Sat, 20 Feb 2010 13:08:24 +0000
