=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: javatools
 Priority: optional
-Maintainer: Matthew Johnson <mjj29@debian.org>
-Build-Depends: debhelper (>=7)
-Standards-Version: 3.8.0
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: Matthew Johnson <mjj29@debian.org>, Niels Thykier <niels@thykier.net>
+Build-Depends: debhelper (>= 7.0.50~)
+Standards-Version: 3.9.0
 Section: java
+Vcs-Git: git://git.debian.org/git/pkg-java/javatools.git
+Vcs-Browser: http://git.debian.org/?p=pkg-java/javatools.git
+DM-Upload-Allowed: yes
 
 Package: jarwrapper
 Architecture: all
-Depends: realpath, binfmt-support, fastjar, ${misc:Depends}
+Depends: binfmt-support, fastjar, ${misc:Depends}
 Description: Run executable Java .jar files
  Jarwrapper sets up binfmt-misc to run executable jar files
  using the installed java runtime.
@@ -18,9 +22,12 @@
 
 Package: javahelper
 Architecture: all
-Depends: ${misc:Depends}, realpath, fastjar, debhelper, python,
-         python-debian, python-scriptutil, devscripts, bsdmainutils,
-         dpkg-dev, dctrl-tools
+Depends: ${misc:Depends}, fastjar, debhelper, devscripts,
+         bsdmainutils, dpkg-dev, dctrl-tools,
+         libarchive-zip-perl (>= 1.20)
+Suggests: cvs,
+          gawk,
+          tofrodos,
 Description: Helper scripts for packaging Java programs
  Javahelper contains several scripts which help in packaging
  Java programs.
@@ -42,9 +49,17 @@
  .
  jh_build builds java files to jars for you.
  .
- jh_libs installs library jars into the correct locations
+ jh_installlibs installs library jars into the correct locations
  .
  jh_makepkg generates a template for a Debian Java package for you
+ .
+ jh_installeclipse installs features/plugins built by pde-build.
+ .
+ jh_setupenvironment prepares an out of source built for eclipse builds.
+ .
+ jh_generateorbitdir creates an populates an orbit dir for eclipse builds.
+ .
+ jh_compilefeatures compiles eclipse features based on feature ids.
  .
  /usr/share/javahelper/java-vars.mk provides a selection of useful
  variables such as various JVM paths and the JVM name for the architecture
@@ -54,11 +69,15 @@
  .
  javahelper provides CDBS and dh macros so that it can be used with those
  package build systems.
+ .
+ Note that some of the eclipse helpers depends on packages not pulled
+ by default (like with devscripts). You can find these scripts in
+ Suggests.
 
 Package: java-propose-classpath
 Architecture: all
 Depends: gcj, javahelper (= ${binary:Version}), fastjar, ${misc:Depends}
-Description: Helper scripts for packaging Java programs
+Description: Helper script to suggest a classpath for jar files
  java-propose-classpath analyzes a set of jar files and the installed
  jars on the system to suggest a correct classpath for use with
  jh_classpath/jh_manifest
