## javatools 0.37~bpo60+1

=== debian/changelog ===
javatools (0.37~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Rene Engelhard <rene@debian.org>  Mon, 25 Jul 2011 13:38:51 +0200

javatools (0.37) unstable; urgency=low

  [ Niels Thykier ]
  * Do not assume that $pkg/usr/share/doc is present when jh_depends
    runs.  (Closes: #632620)
  * Applied changes from NMU.
    - depend on gcj-jdk rather than gcj for java-propose-classpath.
  * Added support for -s/--same-arch in jh_lib and related shell
    scripts.  (Closes: #632619)

  [ Matthew Johnson ]
  * Default to -source 1.5 in jh_build unless specified in the extra
    args (Closes: #591874)

 -- Niels Thykier <niels@thykier.net>  Wed, 06 Jul 2011 14:53:12 +0200

javatools (0.36) unstable; urgency=low

  * Made jh_manifest always follow symlinks - the fix for this in
    0.35 was incomplete.  (Closes: #626329)

 -- Niels Thykier <niels@thykier.net>  Sat, 04 Jun 2011 13:30:53 +0200

javatools (0.35) unstable; urgency=low

  * Made jh_manifest always follow symlinks even if they are passed
    via command line.  (Closes: #626329)
  * Made jh_manifest fail if there are jar files it cannot find,
    unless the jar has been excluded.  This may cause packages to
    FTBFS instead of silently not shipping a jar file.
    (Closes: #626327)
  * Improved support for --no-act in jh_manifest.
  * Made jh_depends ignore links to jars as these most likely points
    to real jar files that it will end up processing any way.
    (Closes: #610817)

 -- Niels Thykier <niels@thykier.net>  Sat, 14 May 2011 17:27:59 +0200

javatools (0.34) unstable; urgency=low

  * Fixed a regression in 0.33 that in some cases would make
    jh_installlibs install in to the system root and not the package
    root.  (Closes: #624503)
  * Removed the -O option from jh_build since it clashed with a
    common debhelper option.  The longer form (--javadoc-opts) is
    still available and should be used instead.
  * Made all "jh_lib.sh"-based tools ignore the -O option, which is
    used by dh in some cases.  If you have been using -O with
    jh_build please switch to --javadoc-opts instead.
    (Closes: #623506, #624388)

 -- Niels Thykier <niels@thykier.net>  Fri, 29 Apr 2011 19:14:56 +0200

javatools (0.33) unstable; urgency=low

  [ Matthew Johnson ]
  * Fixed some bugs in jh_makepkg (Closes: #593351)
  * Support epochs in jh_installibs version mangling (Closes: #617897)

  [ Niels Thykier ]
  * Bumped Standards-Version 3.9.2 - no changes required.
    - Also bumped S-V in jh_makepkg.
  * Removed DMUA flag; no longer needed.
  * Removed -5/--sun5 option from jh_makepkg.
  * Used gcj-jdk instead of java-gcj-compat-dev in jh_makepkg.
  * Put the JDK dependency in Build-Depends of the control files
    generated by jh_makepkg, since it is needed by the clean rule.
  * Made cdbs run jh_installlibs before jh_manifest and jh_classpath.
    (Closes: #621857)
  * Converted tutorial into markdown format.
  * jh_installlibs now properly picks up the version of native packages.
    (Closes: #612404)
  * Made jh_installlibs respect its --tmpdir option. Previously it was
    silently ignored.
  * Added missing B-D-I on perl (for pod2man).
  * Migrated jh_generateorbitdir to the perl Manifest handler.
  * Fixed typo in jh_generateorbitdir and in jh_compilefeatures.
  * Fixed jh_classpath, which was horribly broken after the 0.32 upload.
    - It now adds debian/<pkg> automatically if it appears to be needed.
  * Made jh_manifest check the package dir if given a jar file, if said
    jar file does not exist.
  * Updated file suggestions for jh_classpath and added a note about
    the sequence change in the tutorial.
  * Updated jh_makepkg:
    - It now creates a separate doc package for the javadoc if making
      a library package.
    - It now adds ${java:Recommends} to all binary packages added.
  * Replaced old copyright template with a DEP-5 version.  Thanks to
    Martin Quinson for the suggestion and the template.
    (Closes: #623035)

 -- Niels Thykier <niels@thykier.net>  Sun, 17 Apr 2011 11:39:48 +0200
