## javatools 0.37

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Matthew Johnson <mjj29@debian.org>, Niels Thykier <niels@thykier.net>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.0
+Build-Depends-Indep: default-jdk, libarchive-zip-perl (>= 1.20), markdown, perl
+Standards-Version: 3.9.2
 Section: java
 Vcs-Git: git://git.debian.org/git/pkg-java/javatools.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/javatools.git
-DM-Upload-Allowed: yes
 
 Package: jarwrapper
 Architecture: all
@@ -22,7 +22,7 @@
 
 Package: javahelper
 Architecture: all
-Depends: ${misc:Depends}, fastjar, debhelper, devscripts,
+Depends: ${misc:Depends}, debhelper, devscripts,
          bsdmainutils, dpkg-dev, dctrl-tools,
          libarchive-zip-perl (>= 1.20)
 Suggests: cvs,
@@ -76,7 +76,7 @@
 
 Package: java-propose-classpath
 Architecture: all
-Depends: gcj, javahelper (= ${binary:Version}), fastjar, ${misc:Depends}
+Depends: gcj-jdk, javahelper (= ${binary:Version}), fastjar, ${misc:Depends}
 Description: Helper script to suggest a classpath for jar files
  java-propose-classpath analyzes a set of jar files and the installed
  jars on the system to suggest a correct classpath for use with
