## javatools 0.37ubuntu1

=== debian/changelog ===
javatools (0.37ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. (LP: #807047) Remaining changes:
    - Pre-generate tutorial.html; remove the build dependency on markdown.

 -- Angel Abad <angelabad@ubuntu.com>  Fri, 08 Jul 2011 21:48:59 +0200

javatools (0.36.1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. (LP: #802524) Remaining changes:
    - Pre-generate tutorial.html; remove the build dependency on markdown.

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 27 Jun 2011 14:52:20 +0200

javatools (0.36ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes:
    - Pre-generate tutorial.html; remove the build dependency on markdown.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jun 2011 17:53:44 +0200

javatools (0.35ubuntu1) oneiric; urgency=low

  * Pre-generate tutorial.html; remove the build dependency on markdown.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 May 2011 12:47:37 +0200
