## javatools 0.40

=== debian/changelog ===
javatools (0.40) unstable; urgency=low

  * Fixed a regression jh_build (introduced in 0.38).
    (Closes: #656872)
  * Fixed the java architecture for s390x.

 -- Niels Thykier <niels@thykier.net>  Mon, 23 Jan 2012 11:32:54 +0100

javatools (0.39) unstable; urgency=low

  * Corrected java-arch.sh output for armhf, sh4 and powerpcspe.

 -- Niels Thykier <niels@thykier.net>  Tue, 17 Jan 2012 13:31:58 +0100

javatools (0.38) unstable; urgency=low

  * Added missing empty line the in d/control generated by jh_makepkg
  * Bumped debhelper compat to 8 in packages generated by jh_makepkg
  * Fixed the "find" expressions in jh_repack to only remove files
    named "*.jar" or "*.class".  Thanks to Andrew Ross for the report.
    (Closes: #646514)
  * Fixed a bug where jh_build would generate manifests with lines
    longer than some jar implementations would allow.  Thanks to
    Giovanni Mascellani for the report.  (Closes: #653412)
  * Fixed a bug where java-propose-classpath would "hide" javax imports.
    Thanks to Jan Janak for the report and the correction.
    (Closes: #653731)
  * Bumped dependency on libarchive-zip-perl due to some issues with
    the previous version that caused corrupt jar files.  For more
    information, please refer to #654899.  Thanks to Wookey for the
    analysis and for identifying the source of the issue.
    (Closes: #634089)

 -- Niels Thykier <niels@thykier.net>  Mon, 16 Jan 2012 21:29:39 +0100
