=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: javatools
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Matthew Johnson <mjj29@debian.org>, Niels Thykier <niels@thykier.net>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: default-jdk, libarchive-zip-perl (>= 1.20), perl
+Build-Depends-Indep: default-jdk, libarchive-zip-perl (>= 1.30-5~), markdown, perl
 Standards-Version: 3.9.2
 Section: java
 Vcs-Git: git://git.debian.org/git/pkg-java/javatools.git
@@ -25,7 +24,7 @@
 Architecture: all
 Depends: ${misc:Depends}, debhelper, devscripts,
          bsdmainutils, dpkg-dev, dctrl-tools,
-         libarchive-zip-perl (>= 1.20)
+         libarchive-zip-perl (>= 1.30-5~)
 Suggests: cvs,
           gawk,
           tofrodos,
