## javatools 0.40ubuntu1

=== debian/changelog ===
javatools (0.40ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Pre-generate tutorial.html; remove the build dependency on markdown.

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 12 Feb 2012 01:54:43 -0600
