=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: javatools
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Matthew Johnson <mjj29@debian.org>, Niels Thykier <niels@thykier.net>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: default-jdk, libarchive-zip-perl (>= 1.30-5~), markdown, perl
+Build-Depends-Indep: default-jdk, libarchive-zip-perl (>= 1.30-5~), perl
 Standards-Version: 3.9.2
 Section: java
 Vcs-Git: git://git.debian.org/git/pkg-java/javatools.git
