## javatools 0.40ubuntu1.1

=== debian/changelog ===
javatools (0.40ubuntu1.1) precise-proposed; urgency=low

  * Backport the following change from 0.43ubuntu2 so that packages
    with missing Java dependencies can be rebuilt. (LP: #1158182)
    - jh_installeclipse: Allow any installed package to provide a .jar
      dependency, not just those with desired-state install.

 -- Graham Inggs <graham@nerve.org.za>  Fri, 22 Mar 2013 18:08:19 +0100
