## javatools 0.41

=== debian/changelog ===
javatools (0.41) unstable; urgency=low

  [ Sylvestre Ledru ]
  * jh_makepkg: 
    - Switch the OpenJDK6 path to the multiarch one.
    - Remove the sun-java6 support since it has been
      removed from the archive
    - Provide the support for OpenJDK 7
    - Create the new package under the source format 3.0
    - -doc packages are now in the doc section.

  [ Niels Thykier ]
  * Produce a better error message when a non-existent Jar file is
    passed to jh_manifest.
  * Try to parse arguments passed via -O for jh_lib.sh as regular
    options, but ignore them if they are unknown.  Previously, -O
    options was silently ignored.
  * Remove support for using the "sun" (and "sun6") JVM with
    jh_depends, as Debian is no longer ships the Sun/Oracle Java.
  * Bump libarchive-zip-perl depends as 1.30.5 was still affected
    by #654899.
  * jh_depends no longer emits dependencies with java-runtime or
    java2-runtime.  The minimum generated dependency is now
    java5-runtime.
  * Corrected class version calculation on big-endian architectures.
    Thanks to Kai Ruschenburg for the report and the correction.
    (Closes: #661632)
  * Use Standards-Versions 3.9.3 and the new DEP-5 URI in jh_makepkg
    for newly generated packages.
  * Bumped Standards-Versions 3.9.3 - no changes required.
  * Ensure the test suite fails if the java-arch.sh test fails.

 -- Niels Thykier <niels@thykier.net>  Tue, 13 Mar 2012 20:12:40 +0100
