## javatools 0.43

=== debian/changelog ===
javatools (0.43) unstable; urgency=low

  * Make jh_build pass -source 1.5 by default to javadoc if
    no -source parameter is explicitly given.
  * Make jh_build pass -target 1.5 by default to javac if
    neither -source nor -target is explicitly given.

 -- Niels Thykier <niels@thykier.net>  Wed, 20 Jun 2012 18:59:08 +0200

javatools (0.42) unstable; urgency=low

  * Add support for Java7 in jh_depends.  The jvm "open" now
    defaults to any OpenJDK version.  The "open6" and "open7"
    values can be used to depend on a specific one.

 -- Niels Thykier <niels@thykier.net>  Tue, 19 Jun 2012 11:48:47 +0200
