## javatools 0.43ubuntu2

=== debian/changelog ===
javatools (0.43ubuntu2) quantal; urgency=low

  * jh_installeclipse: Allow any installed package to provide a .jar
    dependency, not just those with desired-state install.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Oct 2012 21:07:09 +0100

javatools (0.43ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Pre-generate tutorial.html; remove the build dependency on markdown.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Jun 2012 09:07:29 +0100

javatools (0.41ubuntu1) quantal; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Pre-generate tutorial.html; remove the build dependency on markdown.

 -- James Page <james.page@ubuntu.com>  Mon, 28 May 2012 17:12:23 +0100

javatools (0.40ubuntu2) quantal; urgency=low

  * No-change rebuild with openjdk-7 as default-jdk.

 -- James Page <james.page@ubuntu.com>  Fri, 18 May 2012 11:40:12 +0100
