## javatools 0.45

=== debian/changelog ===
javatools (0.45) unstable; urgency=low

  * jh_manifest: Fix bug where "EXCLUDE_FIND" was not
    properly expanded (regression introduced in 0.44).
    Thanks to Daniel Schepler for reporting it.
    (Closes: #725440)
  * d/control: Fix typo of "and".  Thanks to Pascal
    De Vuyst for reporting it.  (Closes: #725335)

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Oct 2013 08:44:51 +0200

javatools (0.44) unstable; urgency=low

  * Add a new minor TAP based test suite.
  * Fix bug in jh_repack when removing empty directories.
    Thanks to Francesco Poli for reporting it and writing
    the patch.  (Closes: #689788)
  * Fix the output path for javadoc generated by jh_build.
    Thanks to Jakub Adam for reporting it and writing the
    patch. (Closes: #692230)
  * jh_installeclipse: Allow any installed package to
    provide a .jar dependency, not just those with
    desired-state install.  Thanks to Colin Watson for the
    patch (pulled from Ubuntu's javatools/0.43ubuntu2).
  * ManifestSection.pm: Always write fields in a
    predictable order.  This fixes a FTBFS when the tests
    had a different order.  Thanks to Damyan Ivanov for
    reporting this bug.  (Closes: #723884)
  * jh_depends: Strip leading "file://" before looking for
    a jar file.  Thanks to Rene Engelhard for the bug
    report.  (Closes: #632821)
  * jh_installjavadoc: Apply patch from Markus Koschany to
    insert a default value for the "Author"-field when no
    author is provided.  Also fix a typo in the generated
    doc-base file.  (Closes: #625945)
  * jh_makepkg: Advise people to use mk_make for packges
    with a maven based build system.  Thanks to Hilko
    Bengen for the suggestion.  (Closes: #703376)
  * d/control: Use the canonical URL in the Vcs-* fields.
  * d/control: Bump Standards-Version to 3.9.4 - no
    changes required.

 -- Niels Thykier <niels@thykier.net>  Tue, 24 Sep 2013 14:05:18 +0200
