=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: javatools
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Matthew Johnson <mjj29@debian.org>, Niels Thykier <niels@thykier.net>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: default-jdk, libarchive-zip-perl (>= 1.30-6~), perl
-Standards-Version: 3.9.3
+Build-Depends-Indep: default-jdk, libarchive-zip-perl (>= 1.30-6~), markdown, perl,
+     libtest-minimumversion-perl,
+     libtest-perl-critic-perl,
+     libtest-strict-perl,
+     perl (>= 5.12) | libtest-simple-perl (>= 0.93)
+Standards-Version: 3.9.4
 Section: java
-Vcs-Git: git://git.debian.org/git/pkg-java/javatools.git
-Vcs-Browser: http://git.debian.org/?p=pkg-java/javatools.git
+Vcs-Git: git://anonscm.debian.org/pkg-java/javatools.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/javatools.git
 
 Package: jarwrapper
 Architecture: all
@@ -58,7 +61,8 @@
  .
  jh_setupenvironment prepares an out of source built for eclipse builds.
  .
- jh_generateorbitdir creates an populates an orbit dir for eclipse builds.
+ jh_generateorbitdir creates and populates an orbit dir for eclipse
+ builds.
  .
  jh_compilefeatures compiles eclipse features based on feature ids.
  .
