## javatools 0.45ubuntu1

=== debian/changelog ===
javatools (0.45ubuntu1) trusty; urgency=low

  [ Logan Rosen ]
  * Merge from Debian unstable. Remaining changes:
    - Pre-generate tutorial.html; remove the build dependency on markdown.

  [ Iain Lane ]
  * Also merge 0.43ubuntu3
    - Fix the java architecture for arm64 and ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 01 Dec 2013 22:20:32 -0500

javatools (0.43ubuntu3) trusty; urgency=medium

  * Fix the java architecture for arm64 and ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Dec 2013 18:33:35 +0100
