=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: javatools
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Matthew Johnson <mjj29@debian.org>, Niels Thykier <niels@thykier.net>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: default-jdk, libarchive-zip-perl (>= 1.30-6~), markdown, perl,
+Build-Depends-Indep: default-jdk, libarchive-zip-perl (>= 1.30-6~), perl,
      libtest-minimumversion-perl,
      libtest-perl-critic-perl,
      libtest-strict-perl,
